Bug 830755 - Wrong default values of virt_service and gluster_service
Wrong default values of virt_service and gluster_service
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
Ilia Meerovich
gluster
:
Depends On:
Blocks: 825285
  Show dependency treegraph
 
Reported: 2012-06-11 06:59 EDT by Ilia Meerovich
Modified: 2016-07-04 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:41:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilia Meerovich 2012-06-11 06:59:11 EDT
Description of problem:

default values should be:
- virt_service=False
- gluster_service=True.

But when I'm adding cluster by using REST and not setting these parameters they are set as:
- virt_service=True
- gluster_service=False.

Version-Release number of selected component (if applicable):
10 Jun drop

How reproducible:

easy and deterministic.

Steps to Reproduce:
1. Add cluster via REST API and not set these parameters value
2. Check virt_service and gluster_service values

  
Actual results:
- virt_service=True
- gluster_service=False.

Expected results:
- virt_service=False
- gluster_service=True.

Additional info:
Comment 2 Shireesh 2012-06-11 08:12:27 EDT
Fixed - will be available in the next QA drop.
Comment 3 Ilia Meerovich 2012-06-17 07:29:25 EDT
verifed with 15 June build

Note You need to log in before you can comment on or make changes to this bug.